function [] = OFevaluate ( x )

global Dim
global L
global l
global F
global E
global b
global rho
global M0
global alpha


%x=[0.4 0.3 0.5];

I = zeros(Dim,1);
for i=1:Dim;
    I(i) = b*x(i)^3/12;
end

K = [ ...
    1/I(1) 0 -1/I(2) 0 0 0; ...
    l/I(1) 1/I(1) -l/I(2) -1/I(2) 0 0; ...
    0 0 1/I(2) 0 -1/I(3) 0; ...
    0 0 2*l/I(2) 1/I(2) -2*l/I(3) -1/I(3); ...
    0 0 0 0 1/I(3) 0; ...
    0 0 0 0 3*l/I(3) 1/I(3) ];

f = [ (1/I(2)-1/I(1))/2; ...
      (1/I(2)-1/I(1))*l/6; ...
      (1/I(3)-1/I(2))*2; ...
      (1/I(3)-1/I(2))*4*l/3; ...
      -1/I(3)*9/2; ...
      -1/I(3)*9*l/2 ]*(F*l^2);

C = linsolve(K,f);  

delete(get(gca,'Children'));
for i=1:Dim
    rectangle('Position',[(i-1)*l,-x(Dim-i+1)/2,l,x(Dim-i+1)],'FaceColor','b');
end

N=3;
X = zeros(N,1);
Y = zeros(N,1);
hold all
for j=1:Dim
    for i=1:N+1
        X(i) = (Dim-j+1)*l-l/N*(i-1);
        Y(i) = -(F*(L-X(i))^3/6+C(j*2-1)*(L-X(i))+C(j*2))/E/I(j)*100;
    end
    plot(X,Y,'-r');
end     
axis([0 3 -1 1]);

M=0;
for i=1:Dim
    M = M + b*x(i)*l*rho;
end

kriterium1 = abs(M-M0)
kriterium2 = alpha/E/I(1)*C(2)

