%GRADE initialization

%pool_rate = 10;
global radioactivity 
radioactivity = 0.3
global cross_limit
cross_limit = 1.0  
global mutation_rate_limit
mutation_rate_limit = 1.0

global pool_rate
pool_rate = 10.0

global SelectedSize
SelectedSize = pool_rate*Dim;
global PoolSize
PoolSize = 2*SelectedSize;

global generation
generation = 0;

global fitness_call
fitness_call = 0;

global Force
Force = zeros(PoolSize,1);

global CH
CH = rand(PoolSize,Dim);
for i = 1:PoolSize
    for j = 1:Dim
        CH(i,j) = CH(i,j)*(Domain(j,2)-Domain(j,1))+Domain(j,1);
    end
end

%loadinitCH

global bsf
bsf = zeros(Dim,1);
global btg
btg = zeros(Dim,1);
global bsf_value
bsf_value = -999999999999 ; 
global btg_value
btg_value = -999999999999 ; 

%EVALUATE_GENERATION 
for i = 1:PoolSize;
    if Return_to_domain == 1
        for k = 1:Dim 
            if CH(i,k) < Domain(k,1) CH(i,k) = Domain(k,1); end
            if CH(i,k) > Domain(k,2) CH(i,k) = Domain(k,2); end
        end
    end 
%     for k = 1:Dim
%         if Domain(k,3) ~= 0
%             CH(i,k) = ceil(CH(i,k)/Domain(k,3))*Domain(k,3);
%             if CH(i,k) == -0.5 CH(i,k) = 0.0; end
%         end
%     end

    Force(i) = OFvalue ( (CH(i,:))' );
    fitness_call = fitness_call+1; 
    if Force(i) > btg_value
        fitness_call = fitness_call
        btg_value = Force(i)
        btg(:)=CH(i,:); 
        OFevaluate( btg(:) ); 
    end 
    
end 
if btg_value > bsf_value 
    bsf(:) = btg(:);
    bsf_value = btg_value 
    OFevaluate( bsf(:) ); 
end 

%SELECT 
ActualSize=PoolSize
while ActualSize > SelectedSize
    i1 = randsample(ActualSize,1); 
    i2 = randsample(ActualSize-1,1)+1; 
    if i1 == i2 i2 = i2-1; end 
    if Force(i1) > Force(i2) dead = i2;  
    else dead = i1; end
    last = ActualSize; 
    CH(dead,:) = CH(last,:); 
    Force(dead) = Force(last); 
    ActualSize = ActualSize-1; 
end

