%Objective function - configuration

global Dim
global Domain
global Return_to_domain
global Desired_optimum
global Precision
global Fname
global E
global b
global L
global M0
global rho
global l
global F
global alpha

E = 25000000     %Young's modulus [kPa]
b = 0.3          %width [m]
L = 3.0          %length [m]
M0 = 1000.0       %imposed mass [kg]
rho = 2500.0     %density [kg/m3]
F = 20           %load [kN]

alpha = 1000.0  %weight

Desired_optimum = 0.0
Precision = 1e-01

Dim = 3
Domain = zeros(Dim,2);

l = L/Dim

Domain(:,1) = 0.2;
Domain(:,2) = 0.6;

Fname = 'konzola'
        
Return_to_domain = 1; %hledame reseni pouze v mezich oboru objektivni funkce